Loading...
Searching...
No Matches
GiraraInputHistoryIOInterface Struct Reference

`#include <input-history.h>`

## Data Fields

GTypeInterface | parent_iface
void(* | append )(GiraraInputHistoryIO *io, const char *input)
girara_list_t *(* | read )(GiraraInputHistoryIO *io)
void(* | reserved1 )(void)
void(* | reserved2 )(void)
void(* | reserved3 )(void)
void(* | reserved4 )(void)

## Detailed Description

Definition at line 11 of file input-history.h.

## Field Documentation

## append

void(* GiraraInputHistoryIOInterface::append) (GiraraInputHistoryIO *io, const char *input)

Write a line of input to the input history storage.

Parameters

  io | a GiraraInputHistoryIO object
  input | the input

Definition at line 22 of file input-history.h.

## parent_iface

GTypeInterface GiraraInputHistoryIOInterface::parent_iface

Definition at line 12 of file input-history.h.

## read

girara_list_t *(* GiraraInputHistoryIOInterface::read) (GiraraInputHistoryIO *io)

Read all items from the input history storage.

Parameters

  io | a GiraraInputHistoryIO object

Returns
  a list of inputs

Definition at line 30 of file input-history.h.

## reserved1

void(* GiraraInputHistoryIOInterface::reserved1) (void)

Definition at line 33 of file input-history.h.

## reserved2

void(* GiraraInputHistoryIOInterface::reserved2) (void)

Definition at line 34 of file input-history.h.

## reserved3

void(* GiraraInputHistoryIOInterface::reserved3) (void)

Definition at line 35 of file input-history.h.

## reserved4

void(* GiraraInputHistoryIOInterface::reserved4) (void)

Definition at line 36 of file input-history.h.

The documentation for this struct was generated from the following file:

- /build/girara-Z3CvQi/girara-2026.07.07/girara/input-history.h